Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Build.Misc.RCloneCopy Class Referencesealed
Inheritance diagram for Zwipe.Build.Misc.RCloneCopy:
[legend]
Collaboration diagram for Zwipe.Build.Misc.RCloneCopy:
[legend]

## Public Member Functions
override bool | Execute ()

## Properties
string | Executable = Platform.IsWindows() ? "rclone.exe" : "rclone"`[get, set]`
ITaskItem[] | SourceFiles`[get, set]`
ITaskItem[] | DestinationFiles`[get, set]`
ITaskItem[] | CopiedFiles`[get, set]`
ITaskItem | ErrorIfNotExists`[get, set]`

## Private Member Functions
bool | FileExists (string filePath)
void | FileDelete (string filePath)
void | FileCopy (string sourceFilePath, string destinationFilePath, bool overwrite)

## Member Function Documentation

## ◆ Execute()

override bool Zwipe.Build.Misc.RCloneCopy.Execute | ( |  | ) |

Here is the call graph for this function:

## ◆ FileCopy()

void Zwipe.Build.Misc.RCloneCopy.FileCopy | ( | string | sourceFilePath,
|  | string | destinationFilePath,
|  | bool | overwrite )
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ FileDelete()

void Zwipe.Build.Misc.RCloneCopy.FileDelete | ( | string | filePath | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ FileExists()

bool Zwipe.Build.Misc.RCloneCopy.FileExists | ( | string | filePath | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## Property Documentation

## ◆ CopiedFiles

ITaskItem [] Zwipe.Build.Misc.RCloneCopy.CopiedFiles
| get set

## ◆ DestinationFiles

ITaskItem [] Zwipe.Build.Misc.RCloneCopy.DestinationFiles
| get set

## ◆ ErrorIfNotExists

ITaskItem Zwipe.Build.Misc.RCloneCopy.ErrorIfNotExists
| get set

## ◆ Executable

string Zwipe.Build.Misc.RCloneCopy.Executable = Platform.IsWindows() ? "rclone.exe" : "rclone"
| get set

## ◆ SourceFiles

ITaskItem [] Zwipe.Build.Misc.RCloneCopy.SourceFiles
| get set

The documentation for this class was generated from the following file:

- Zwipe.Build/Misc/RCloneCopy.cs